#  Build CRUD API with Django REST framework

In this article, you'll learn how to build a CRUD API with Django and Django REST framework. The RESTful API will have endpoints for performing CRUD operations against an SQLite database.

![Build CRUD API with Django REST framework](https://codevoweb.com/wp-content/uploads/2022/12/Build-CRUD-API-with-Django-REST-framework.webp)

## Topics Covered

- Run the Django CRUD API Locally
- Run a React.js App with the Django API
- Setup Django
- Create the Django Models
    - Database Model
    - Model Serializer
- Create the CRUD API Views in Django
    - GET and POST API Views
    - GET, PATCH, and DELETE API Views
- Add the CRUD Routes
    - Add the CRUD API URLs
    - Add the Base URL of the CRUD App to the Project
- Setup CORS in Django
- Create the Migration File and Start the Server
- Test the Django CRUD API
    - Create Note
    - Update Note
    - Get All Notes
    - Delete Note
- Create Documentation for the CRUD API


Read the entire article here: [https://codevoweb.com/build-crud-api-with-django-rest-framework/](https://codevoweb.com/build-crud-api-with-django-rest-framework/)

